#include <stdio.h>
#include <zapplication.h>
#include <qcopchannel_qws.h>

int main(int argc, char *argv[])
{
  if(argc < 3) return -1;
  ZApplication a(argc, argv);

  if(!QCopChannel::isRegistered(QCString(argv[1]))){
    printf("'%s' - no such channel\n", argv[1]);
    return -1;
  }
  
  bool k = QCopChannel::send(QCString(argv[1]), QCString(argv[2]));
  printf("send(%s, %s) returns with %d\n", argv[1], argv[2], k);
  if(k) return 0;
  return -1;
}
